package App::MakeWorld::Mogrify::Rm;

use strict;
use warnings;

our $VERSION = 'v2.5.9';

use App::MakeWorld::Global;
use App::MakeWorld::Check qw[ check ];
use App::MakeWorld::Log;

use namespace::clean;


sub verify {

    my ( $class, $opts, $need_hook ) = @_;

    return check( {
            arg  => { required => 1, default => [] },
            hook => { required => $need_hook },
        },
        $opts
    );
}


sub mogrify {
    my ( $class, $pkg, $opts ) = @_;

    my $guard = log_pfx( '<rm>' );

    log_info( $opts->{arg} );

    foreach my $file ( @{ $opts->{arg} } ) {
        unlink( $file ) or log_fatal( "error unlinking $file\n" );
    }

    return;
}

1;

__END__

=pod

=for :stopwords Diab Jerius Smithsonian Astrophysical Observatory

=head1 NAME

App::MakeWorld::Mogrify::Rm

=head1 VERSION

version v2.5.9

=head1 SEE ALSO

Please see those modules/websites for more information related to this module.

=over 4

=item *

L<bin::make-world|bin::make-world>

=back

=head1 AUTHOR

Diab Jerius <djerius@cfa.harvard.edu>

=head1 COPYRIGHT AND LICENSE

This software is Copyright (c) 2018 by Smithsonian Astrophysical Observatory.

This is free software, licensed under:

  The GNU General Public License, Version 3, June 2007

=cut
