package App::MakeWorld::Package::Custom;

use strict;
use warnings;

our $VERSION = 'v2.5.9';

use base 'App::MakeWorld::Package';

sub configure {
    my $self = shift;

    $self->SUPER::configure
      || $self->_croak( "no configure exe specified\n" );
}

sub build {
    my $self = shift;

    $self->SUPER::build
      || $self->_croak( "no build exe specified\n" );
}

sub test {
    my $self = shift;

    $self->SUPER::test
      || $self->_croak( "no test exe specified\n" );
}


sub install {
    my $self = shift;

    $self->SUPER::install
      || $self->_croak( "no install exe specified\n" );
}

1;

__END__

=pod

=for :stopwords Diab Jerius Smithsonian Astrophysical Observatory

=head1 NAME

App::MakeWorld::Package::Custom

=head1 VERSION

version v2.5.9

=head1 SEE ALSO

Please see those modules/websites for more information related to this module.

=over 4

=item *

L<bin::make-world|bin::make-world>

=back

=head1 AUTHOR

Diab Jerius <djerius@cfa.harvard.edu>

=head1 COPYRIGHT AND LICENSE

This software is Copyright (c) 2018 by Smithsonian Astrophysical Observatory.

This is free software, licensed under:

  The GNU General Public License, Version 3, June 2007

=cut
